petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPPIPEGCRGetMmax

get the maximum number of previous directions PIPEGCR will store

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPIPEGCRGetMmax(KSP ksp,PetscInt *mmax)

Note: PIPEGCR stores mmax+1 directions at most (mmax previous ones, and one current one) Many br

Not Collective Many br

### Input Parameter

ksp -the Krylov space context Many br

### Output Parameter

mmax -the maximum number of previous directons allowed for orthogonalization Many br

### Options Database

-ksp_pipegcr_mmax <N> - Many br Many br

### Keywords

KSP, PIPEGCR, truncation

### See Also

KSPPIPEGCR, KSPPIPEGCRGetTruncationType(), KSPPIPEGCRGetNprealloc(), KSPPIPEGCRSetMmax()

Level:intermediate
Location:src/ksp/ksp/impls/gcr/pipegcr/pipegcr.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages